org.apache.commons.math3.optim

## Class MaxIter

- java.lang.Object
- - org.apache.commons.math3.optim.MaxIter

All Implemented Interfaces:
  OptimizationData

    public class MaxIter
    extends java.lang.Object
    implements OptimizationData

Maximum number of iterations performed by an (iterative) algorithm.

Since:
  3.1
Version:
  $Id$

### Field Summary

Fields
`private int` `maxIter` Allowed number of evalutations.

### Constructor Summary

Constructors
Constructor and Description
`MaxIter(int max)`

### Method Summary

Methods
`int` `getMaxIter()` Gets the maximum number of evaluations.
`static MaxIter` `unlimited()` Factory method that creates instance of this class that represents a virtually unlimited number of iterations.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### maxIter

    private final int maxIter

Allowed number of evalutations.

### Constructor Detail

#### MaxIter

    public MaxIter(int max)

Parameters:
  `max` - Allowed number of iterations.
Throws:
  `NotStrictlyPositiveException` - if `max <= 0`.

### Method Detail

#### getMaxIter

    public int getMaxIter()

Gets the maximum number of evaluations.

Returns:
  the allowed number of evaluations.

#### unlimited

    public static MaxIter unlimited()

Factory method that creates instance of this class that represents a virtually unlimited number of iterations.

Returns:
  a new instance suitable for allowing `Integer.MAX_VALUE` evaluations.